<script lang="ts" setup>
import { useReceiptStore } from '@/stores/receipt'
import { ref, watch } from 'vue'

const items = ['Select Payment', 'Cash', 'PromptPay', 'Credit']
const selectedPayment = ref('Select Payment')
const Amount = ref(0)
const receiptStore = useReceiptStore()

watch(selectedPayment, (newVal) => {
  receiptStore.updatePaymentType(newVal)
})

watch(
  () => Amount.value,
  (newVal) => {
    receiptStore.calReceivedAmount(newVal)
  }
)

function getAmount() {
  receiptStore.calReceivedAmount(Amount.value)
}
</script>
<template>
  <v-container width="100%">
    <v-row>
      <v-col cols="12" class="mt-2" style="text-align: center">Payment</v-col>
    </v-row>

    <v-row>
      <v-col cols="12" class="mx-auto">
        <v-select
          v-model="selectedPayment"
          :items="items"
          density="compact"
          label="Payment"
          style="max-width: 280px; margin-left: auto"
          class="justify-end"
        >
        </v-select>

        <!-- Show textfield when selectedPayment is 'Cash' -->

        <v-img
          class="my-md-n16"
          v-if="selectedPayment === 'Select Payment'"
          src="/img/cafe/Bpreview.png"
          width="250"
          height="250"
        ></v-img>

        <v-text-field
          v-if="selectedPayment === 'Cash'"
          label="Cash Amount"
          v-model="Amount"
          @keyup.enter="getAmount()"
        ></v-text-field>

        <!-- Show image when selectedPayment is 'PromptPay' -->

        <v-img
          class="my-md-n16"
          v-if="selectedPayment === 'PromptPay'"
          src="/img/cafe/QRCode.png"
          width="250"
          height="250"
        ></v-img>

        <v-img
          class="my-md-n16"
          v-if="selectedPayment === 'Credit'"
          src="/img/cafe/Credit.jpg"
          width="250"
          height="250"
        ></v-img>
      </v-col>
    </v-row>
  </v-container>
</template>
